Subject: Re: Newlib compilation
From: [email-masked] (Tim Newsham)

19 Apr 1998 22:21:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Ian Collins)
Cc: [email-masked]

> Why can't I get newlib (from the ftp.cygnus.com/pub/gnuwin32/latest
> cdk-src.tar) to compile?
> I am trying to create a cygwin.dll, and it appears that newlib is a
> dependant of winsup so tries to make it.
> 
> So far, while trying to make winsup (using make all-target-winsup in src
> directory), all of my problems have been with making newlib. These are,
> 
> 1. No configure file in newlib directory (so I downloaded newlib-1.8.0
> from ftp.cygnus.com and stole it from there. The src makefile was then
> able to create the newlib makefiles and continue).

Hmm..  You're running config in each dir?
CDK built fine for me.  I just:

    - made obj directory (mine was in /usr/src/cdk/obj)
    - went into obj directory
    - ran the configure script for cdk 
      ($srcdir/configure --prefix=/install i386-cygwin32)
    - ran make

when make was finished everything had built.

                                          Tim N.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".